<?php
/*	alkis_conf.php
	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
	Zentrale Einstellungen - Test-Server
	2016-02-18 Version fuer norGIS-ALKIS-Import
	2018-02-15 Individuelle Gemeinde-Filter setzen, $dbconn 
*/

//	Default Bundesland-Schlssel, falls dieser bei Anfragen ausgelassen wird
	$defland='05'; // NRW

//	Datenbank-Zugangsdaten
	$dbport = '5432';
	$dbuser = 'mb27';
	$dbpass = 'map27';
	$dbpre  = 'alkisn'; // _N !

//	im Normalfall  ...
	$dbgkz = $gkz;				// normalerweise eine Datenbank je Mandant
	$dbhost = '10.0.___.__';	// Datenbank-Server IP
	// Gebiets-Filter
	$filtland=$defland;			// ax_gemeinde.land
	$filtrgb='7';				// ax_gemeinde.regierungsbezirk
	$filtkreis='';				// ax_gemeinde.kreis
	$filtgem = '';				// ax_gemeinde.gemeinde

	switch ($gkz) {	// lokale und temporre Besonderheiten je Mandant, berschreiben die Defaults von oben

		case "150": 
			$filtkreis='__';
			$filtgem = '0__';
			break;

		case "320":
			$dbgkz = '300';  // Gemeinsame Kreis-Datenbank
			$filtkreis='__';
			$filtgem = '0__';
			break;

		case "rlp": 
			$dbhost = 'localhost';
			break;
	}

//	Authentifizierung
	$auth="mapbender";
//	$auth=""; // temporr deaktiviert
	$mapbender="/opt/gdi/mapbender/http/php/mb_validateSession.php";

//	Link fr Hilfe
	$hilfeurl = 'http://mapserver.krz.de/?Karten/ALKIS/ALKIS-Auskunft';

//	Entwicklungsumgebung
	$debug=3; // 0=Produktion 1=mit Fehlermeldungen, 2=mit Informationen, 3=mit SQL

//	Den Datenbank-Connection-String aus den oben konfigurierten Parametern bilden
	$dbconn = "host=".$dbhost." port=" .$dbport." dbname=".$dbpre.$dbgkz." user=".$dbuser." password=".$dbpass;

//	Je Modul noch individuell anhngen: " options='--application_name=ALKIS-Auskunft_programmname.php'"
//	In postgresql.conf:
//		log_line_prefix = '%t [%a-%h] %q%u@%d '
//	wobei %a = Application

?>