-- OSGeo4W64\apps\alkis-import\postcreate.d\9_optimize.sql
-- Optimieren von ALKIS-Datenbanken aus PostNAS.
-- Optionaler Schritt nach dem Laden oder Aktualisieren.
-- Ziel ist die Verbesserung der Verarbeitungs-Geschwindigkeit.

-- 2018-11-09 krz Mi-Ra/Li: Full-Schema

-- C l u s t e r n  der Darstellungstabellen mit dem geometrischen Index
-- -------------------------------------------------------------------------
-- https://www.postgresql.org/docs/9.4/static/sql-cluster.html
-- CLUSTER [VERBOSE] table_name [ USING index_name ]

  CLUSTER po_labels    USING po_labels_point_idx;  -- hat 2 Geometrie-Felder!
  CLUSTER po_lines     USING po_lines_line_idx;
  CLUSTER po_points    USING po_points_point_idx;
  CLUSTER po_polygons  USING po_polygons_polygons_idx;

-- Die Datenbank ist zum Zeitpunkt der Verarbeitung (postcreate) dieses Skriptes noch nicht gefüllt,
-- daher erfolgt hier noch keine wirkliche Sortierung der Datensätze.
-- Die gewünschte Clusterung wird aber gespeichert. Nach der Aktualisierung der Daten (Schritt "postprocessing") 
-- kann der SQL-Befehl "CLUSTER;" ohne weitere Parameter ausgeführt werden. Es wird dann alles neu geclustert, so wie hier definiert.

-- ENDE --